diff -Nru emacs24-24.4+1/debian/changelog emacs24-24.4+1/debian/changelog
--- emacs24-24.4+1/debian/changelog	2014-10-25 21:41:42.000000000 +0200
+++ emacs24-24.4+1/debian/changelog	2014-12-09 16:25:45.000000000 +0100
@@ -1,3 +1,11 @@
+emacs24 (24.4+1-4.1) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * Cherry-pick 0009-lisp-startup.el-command-line.patch to fix handling
+    nil elements in load-path (Closes: #768751)
+
+ -- Balint Reczey <balint@balintreczey.hu>  Tue, 09 Dec 2014 16:24:27 +0100
+
 emacs24 (24.4+1-4) unstable; urgency=medium
 
   * Update emacsen-common dependency as per policy.
diff -Nru emacs24-24.4+1/debian/patches/0009-lisp-startup.el-command-line.patch emacs24-24.4+1/debian/patches/0009-lisp-startup.el-command-line.patch
--- emacs24-24.4+1/debian/patches/0009-lisp-startup.el-command-line.patch	1970-01-01 01:00:00.000000000 +0100
+++ emacs24-24.4+1/debian/patches/0009-lisp-startup.el-command-line.patch	2014-12-09 16:26:58.000000000 +0100
@@ -0,0 +1,20 @@
+From edfdb22f674312389ccf5d5e37efa4d3f1516994 Mon Sep 17 00:00:00 2001
+From: Glenn Morris <rgm@gnu.org>
+Date: Sun, 9 Nov 2014 23:12:37 -0800
+Subject: [PATCH] * lisp/startup.el (command-line): Handle nil elements in
+ load-path.
+
+---
+ lisp/startup.el | 1 +
+ 1 file changed, 1 insertions(+)
+
+--- a/lisp/startup.el
++++ b/lisp/startup.el
+@@ -1336,6 +1336,7 @@
+   (let (warned)
+     (dolist (dir load-path)
+       (and (not warned)
++	   (stringp dir)
+ 	   (string-match-p "/[._]emacs\\.d/?\\'" dir)
+ 	   (string-equal (file-name-as-directory (expand-file-name dir))
+ 			 (expand-file-name user-emacs-directory))
diff -Nru emacs24-24.4+1/debian/patches/series emacs24-24.4+1/debian/patches/series
--- emacs24-24.4+1/debian/patches/series	2014-10-25 21:40:41.000000000 +0200
+++ emacs24-24.4+1/debian/patches/series	2014-12-09 16:26:50.000000000 +0100
@@ -6,3 +6,4 @@
 0006-Look-for-NEWS-in-order-to-find-etc-rather-than-GNU.patch
 0007-Don-t-try-to-build-src-macuvs.h-via-IVD_Sequences.tx.patch
 0008-A-race-to-create-info-has-been-eliminated.patch
+0009-lisp-startup.el-command-line.patch
